Artifacts - List

Lijst met artefacten in een bepaalde artefactbron.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/artifactsources/{artifactSourceName}/artifacts?api-version=2018-09-15
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DevTestLab/labs/{labName}/artifactsources/{artifactSourceName}/artifacts?api-version=2018-09-15&$expand={$expand}&$filter={$filter}&$top={$top}&$orderby={$orderby}

URI-parameters

Name In Vereist Type Description
artifactSourceName
path True

string

De naam van de artefactbron.

labName
path True

string

De naam van het lab.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De id van het doelabonnement.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

$expand
query

string

Geef de $expand-query op. Voorbeeld: 'properties($select=title)'

$filter
query

string

Het filter dat moet worden toegepast op de bewerking. Voorbeeld: '$filter=contains(name,'myName')

$orderby
query

string

De volgorde-expressie voor de resultaten met behulp van OData-notatie. Voorbeeld: '$orderby=name desc'

$top
query

integer (int32)

Het maximum aantal resources dat moet worden geretourneerd door de bewerking. Voorbeeld: '$top=10'

Antwoorden

Name Type Description
200 OK

ArtifactList

De Azure-bewerking is voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Artifacts_List

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/artifactsources/{artifactSourceName}/artifacts?api-version=2018-09-15

Voorbeeldrespons

{
  "value": [
    {
      "name": "{artifactName}",
      "type": "Microsoft.DevTestLab/labs/artifactSources/artifacts",
      "id": "/subscriptions/{subscriptionId}/resourceGroups/resourceGroupName/providers/Microsoft.DevTestLab/labs/{labName}/artifactSources/{artifactSourceName}/artifacts/{artifactName}",
      "location": "{location}",
      "properties": {
        "description": "Sample artifact description.",
        "filePath": "{artifactsPath}/{artifactName}",
        "parameters": {
          "uri": {
            "type": "string",
            "description": "Sample parameter 1 description.",
            "defaultValue": "https://{labStorageAccount}.blob.core.windows.net/{artifactName}/...",
            "displayName": "Sample Parameter 1"
          }
        },
        "publisher": "Microsoft",
        "targetOsType": "Windows",
        "title": "Sample Artifact Title"
      },
      "tags": {
        "MyTag": "MyValue"
      }
    }
  ]
}

Definities

Name Description
Artifact

Een artefact.

ArtifactList

Het antwoord van een lijstbewerking.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Artifact

Een artefact.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

De geografische locatie waar de resource zich bevindt

name

string

De naam van de resource

properties.createdDate

string (date-time)

De aanmaakdatum van het artefact.

properties.description

string

De beschrijving van het artefact.

properties.filePath

string

Het bestandspad naar het artefact.

properties.icon

string

De URI naar het artefactpictogram.

properties.parameters

De parameters van het artefact.

properties.publisher

string

De uitgever van het artefact.

properties.targetOsType

string

Het doel-besturingssysteem van het artefact.

properties.title

string

De titel van het artefact.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

tags

object

Resourcetags.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ArtifactList

Het antwoord van een lijstbewerking.

Name Type Description
nextLink

string (uri)

De koppeling naar de volgende pagina met items

value

Artifact[]

De artefacten op deze pagina

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.